Website
Dashboard
Website
Dashboard
  • πŸ‘‰ Welcome
  • 🧐 How to set up an account
  • πŸ“ˆ Monitoring and analytics
  • πŸ” Introducing coins vs tokens
  • πŸ‘¨β€πŸ’Ό The meaning of owning crypto
  • πŸ’° Wallets
  • πŸ“œ Supported Blockchains
  • GITHUB
    • 🐘 SDK PHP
    • πŸ“ SDK Python
    • πŸ‘¨β€πŸ’» SDK GOLANG
    • ✳️ SDK NODE JS
    • ✳️ PHP Wallet
  • API REFERENCE
    • Bitcoin
      • πŸ” Info
        • 🧐 Check BTC node health
        • πŸ“œ Get latest Bitcoin block
      • πŸ†Ž Block
        • πŸ“ˆ Get Bitcoin block by height
        • πŸ‘¨β€πŸ’» Get Bitcoin block by hash
        • πŸ“‘ Get transaction count in block by height
        • πŸ“‘ Get transaction count in block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get Bitcoin transaction by hash
        • πŸ“ Send pre-signed raw Bitcoin transaction
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ’° List BTC addresses managed by node wallet
        • πŸ†Ž Get BTC received amount for address
      • πŸ” JSON-RPC
        • πŸ” JSON-RPC
    • Ethereum
      • πŸ” Info
        • 🧐 Check ETH node health
        • πŸ“œ Get latest Ethereum block
      • πŸ†Ž Block
        • πŸ“ˆ Get Ethereum block by height
        • πŸ‘¨β€πŸ’» Get Ethereum block by hash
        • πŸ“‘ Get transaction count in block by height
        • πŸ“‘ Get transaction count in block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get Ethereum transaction by hash
        • πŸ‘¨β€πŸ’» Get Ethereum transaction receipt by hash
        • πŸ“ Send pre-signed raw Ethereum transaction
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ” List ETH accounts managed by node
        • πŸ†Ž Get ETH balance for address
        • πŸ†Ž Get transaction count (nonce) for address
        • πŸ‘‰ Estimate gas for transaction
        • πŸ“‘ Read-only contract call (eth_call)
        • πŸ‘¨β€πŸ’Ό Send transaction from node-managed account
      • πŸ” JSON-RPC
        • πŸ” JSON-RPC
    • Tron
      • πŸ” Info
        • πŸ“‘ Get TRX node info
        • 🧐 Check Tron node health
      • πŸ†Ž Block
        • πŸ“œ Get latest Tron block
        • πŸ“œ Get latest N blocks
        • 🟠 Get block by number
        • πŸ‘¨β€πŸ’» Get block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get transaction by hash
        • πŸ†Ž Get all transactions for an address
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ†Ž Validate a Tron address
        • πŸ” Get account information
        • πŸ’° Get account balance
        • πŸ†Ž Create a new Tron address
        • πŸ’΅ Generate a private key from a mnemonic
        • πŸ“Š Send TRX from one address to another
        • πŸ“Š Send USDT (TRC20) from one address to another
      • ✳️ Webhooks
        • πŸ‘¨β€πŸ“œ List webhooks
        • 🧐 Create webhook
        • πŸ‘‰ Get webhook
        • πŸ‘¨β€πŸ” Update webhook
        • ❌ Delete webhook
      • πŸ“Š Schemas
      • πŸ” JSON-RPC

πŸ“ˆ Get Ethereum block by height

Code samples

GET /api/v1/eth/block/{blockNumber}

Returns a specific block by its number (decimal or hex QUANTITY) or by tag (latest, earliest, pending) using eth_getBlockByNumber.

πŸ› οΈ Parameters

NameInTypeRequiredDescription
blockNumberpathstringtrueBlock identifier: decimal height (e.g. 21000000), hex QUANTITY (e.g. 0x1406f40), or one of the tags latest, earliest, pending.

Example responses

200 Response

{
  "number": "0x1234abcd",
  "hash": 0,
  "parentHash": "string",
  "nonce": "string",
  "sha3Uncles": "string",
  "logsBloom": "string",
  "transactionsRoot": "string",
  "stateRoot": "string",
  "receiptsRoot": "string",
  "miner": "string",
  "difficulty": "string",
  "totalDifficulty": "string",
  "extraData": "string",
  "size": "string",
  "gasLimit": "string",
  "gasUsed": "string",
  "timestamp": "string",
  "baseFeePerGas": "string",
  "transactions": [
    "string"
  ],
  "uncles": [
    "string"
  ]
}

πŸ” Responses

StatusMeaningDescriptionSchema
200OKEthereum blockInline
500Internal Server ErrorCould not connect to ETH nodeNone

πŸ”„ Response Schema

Status Code 200

NameTypeRequiredRestrictionsDescription
» numberstring¦nullfalsenoneBlock number as hex QUANTITY, or null for pending blocks.
» hashstring¦nullfalsenoneHash of the block, or null for pending blocks.
Β» parentHashstringfalsenoneHash of the parent block.
» noncestring¦nullfalsenonenone
Β» sha3Unclesstringfalsenonenone
» logsBloomstring¦nullfalsenonenone
Β» transactionsRootstringfalsenonenone
Β» stateRootstringfalsenonenone
Β» receiptsRootstringfalsenonenone
Β» minerstringfalsenoneAddress of the block proposer/miner.
Β» difficultystringfalsenonenone
Β» totalDifficultystringfalsenonenone
Β» extraDatastringfalsenonenone
Β» sizestringfalsenonenone
Β» gasLimitstringfalsenonenone
Β» gasUsedstringfalsenonenone
Β» timestampstringfalsenoneBlock timestamp as hex QUANTITY.
» baseFeePerGasstring¦nullfalsenonenone
Β» transactionsarrayfalsenoneArray of transaction hashes or transaction objects.
Β» uncles[string]falsenonenone
To perform this operation, you must be authenticated by means of one of the following methods: ApiKeyAuth
Last Updated:: 3/27/26, 2:59 PM
Contributors: support
Prev
πŸ” Info
Next
πŸ’° Transactions